Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # packed_dynamic_channel_reference< BitField, NumBits, true > Class Template Reference [packed_dynamic_channel_reference] `#include <channel.hpp>` Inherits boost::gil::detail::packed_channel_reference_base< boost::gil::packed_dynamic_channel_reference< BitField, NumBits, true >, BitField, NumBits, true >. List of all members. ## Detailed Description ### template<typename BitField, int NumBits> class boost::gil::packed_dynamic_channel_reference< BitField, NumBits, true > Models a mutable subbyte channel reference whose bit offset is a runtime parameter. Models ChannelConcept Same as packed_channel_reference, except that the offset is a runtime parameter.
## Public Types
typedef const packed_dynamic_channel_reference < BitField, NumBits, false > | const_reference
typedef const packed_dynamic_channel_reference < BitField, NumBits, true > | mutable_reference
typedef parent_t::integer_t | integer_t
## Public Member Functions
| packed_dynamic_channel_reference (void *data_ptr, unsigned first_bit)
| packed_dynamic_channel_reference (const packed_dynamic_channel_reference &ref)
const packed_dynamic_channel_reference & | operator= (integer_t value) const
const packed_dynamic_channel_reference & | operator= (const mutable_reference &ref) const
const packed_dynamic_channel_reference & | operator= (const const_reference &ref) const
template<typename BitField1, int FirstBit1, bool Mutable1>
const packed_dynamic_channel_reference & | operator= (const packed_channel_reference< BitField1, FirstBit1, NumBits, Mutable1 > &ref) const
unsigned | first_bit () const
integer_t | get () const
void | set_unsafe (integer_t value) const
## Friends
class | packed_dynamic_channel_reference< BitField, NumBits, false >
The documentation for this class was generated from the following file: channel.hpp